org.bouncycastle.cms

## Class RecipientInformationStore

- java.lang.Object
- - org.bouncycastle.cms.RecipientInformationStore

    public class RecipientInformationStore
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RecipientInformationStore(java.util.Collection recipientInfos)`

### Method Summary

Methods
`RecipientInformation` `get(RecipientId selector)` Return the first RecipientInformation object that matches the passed in selector.
`java.util.Collection` `getRecipients()` Return all recipients in the collection
`java.util.Collection` `getRecipients(RecipientId selector)` Return possible empty collection with recipients matching the passed in RecipientId
`int` `size()` Return the number of recipients in the collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecipientInformationStore

    public RecipientInformationStore(java.util.Collection recipientInfos)

### Method Detail

#### get

    public RecipientInformation get(RecipientId selector)

Return the first RecipientInformation object that matches the passed in selector. Null if there are no matches.

Parameters:
  `selector` - to identify a recipient
Returns:
  a single RecipientInformation object. Null if none matches.

#### size

    public int size()

Return the number of recipients in the collection.

Returns:
  number of recipients identified.

#### getRecipients

    public java.util.Collection getRecipients()

Return all recipients in the collection

Returns:
  a collection of recipients.

#### getRecipients

    public java.util.Collection getRecipients(RecipientId selector)

Return possible empty collection with recipients matching the passed in RecipientId

Parameters:
  `selector` - a recipient id to select against.
Returns:
  a collection of RecipientInformation objects.